s_fabs.c File Reference
`#include "math_libm.h"`
`#include "math_private.h"`
Include dependency graph for s_fabs.c:

Go to the source code of this file.

## Functions

double | fabs (double x)

## Function Documentation

## fabs()

double fabs | ( | double | x | ) |

Definition at line 22 of file s_fabs.c.

References GET_HIGH_WORD, libm_hidden_def(), and SET_HIGH_WORD.

Referenced by __ieee754_atan2(), __ieee754_pow(), __ieee754_rem_pio2(), __kernel_tan(), atan(), and SDL_fabs().

{
u_int32_t high;
GET_HIGH_WORD(high,x);
SET_HIGH_WORD(x,high&0x7fffffff);
return x;
}
GET_HIGH_WORD
#define GET_HIGH_WORD(i, d)
Definition: math_private.h:108
x
GLint GLint GLint GLint GLint x
Definition: SDL_opengl.h:1574
SET_HIGH_WORD
#define SET_HIGH_WORD(d, v)
Definition: math_private.h:136
u_int32_t
unsigned int u_int32_t
Definition: math_private.h:31